Bug 567241 - Review Request: taxbird 0.15 -- Need Sponsor
Review Request: taxbird 0.15 -- Need Sponsor
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 567240
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-02-22 07:24 EST by Dirk Gottschalk
Modified: 2010-11-16 14:59 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-16 14:59:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dirk Gottschalk 2010-02-22 07:24:50 EST
I created a package of taxbird gor the german electronic vat.

This requires the package libgeier which i habe submitted vor review a few Minutes ago.

Link to the spec: http://it-internet-service.de/fedora/taxbird.spec
Link to the SRPM: http://it-internet-service.de/fedora/taxbird-0.15-1.f12.src.rpm

Regards,
Dirk
Comment 1 Dirk Gottschalk 2010-02-22 07:27:27 EST
Correction. Wrong Link to SRPM.

The Correct Link is: http://it-internet-service.de/fedora/taxbird-0.15-1.fc12.src.rpm
Comment 2 Mohammed Imran 2010-04-29 06:26:07 EDT
Let me do an informal review

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

Need to be fixed
=====================
1) Source0 should be direct download link i.e.,
http://www.taxbird.de/download/taxbird/0.15/taxbird-0.15.tar.gz
2) Buildrequires needs gtkhmtl3-devel,libgnomeui
3) Be more descriptive in Description
4) changelog contain - 0.15-1 not just - 0.15
5) .desktop files should be installed using 
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage
.desktop file seems to be of suse,you may need to tweak it
6) we can be more specific in %file section instead of using *

%{_bindir}/*  use taxbird here
%{_datadir}/* 
%{_mandir}/man*/* 

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format
%{name}.spec.
[x]  Package meets the Packaging Guidelines.

[!]  Rpmlint output:
Description should be divided into lines with each having < 80 chars.
Try to be more descriptive.

[x]  Package is not relocatable.
[x]  Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[x]  Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type:GPLV3+
[x]  If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
[x]  Spec file is legible and written in American English.

[!]  Sources used to build the package matches the upstream source, as provided
in the spec URL.
MD5SUM this package    :8d37ad5d1c9dcdf0ebb94ca6a1140a16
MD5SUM upstream package:1415b9b529799ded0d68b1a968b6f867

[x]  Package is not known to require ExcludeArch, OR:

[!]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
See above

[-]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[-]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly. 
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).

[!]  Package contains a properly installed %{name}.desktop file if it is a GUI
application.

[x]  Package does not own files or directories owned by other packages.
Comment 3 Michael Schwendt 2010-06-24 10:20:08 EDT
> Requires:       libgeier = 0.11

https://fedoraproject.org/wiki/Packaging:Guidelines#Explicit_Requires


> %{_datadir}/*

The tarball looks like translation objects are built. Hence:
https://fedoraproject.org/wiki/Packaging:Guidelines#Handling_Locale_Files
Comment 4 Michael Schwendt 2010-06-24 10:25:46 EDT
Upon sending my comment, bugzilla said:


Changes submitted for bug 567241

    Email sent to:
        dag@…, notting@…, cwickert@…, bugbot@…, fedora-package-review@… 
    Excluding:
        imranceh@…  [1], edos@…, dirk-gottschalk@…  [2], nobody@…, fedora.qa@…, extras-qa@…


[1] the previous reviewer
[2] the package submitter

Is that the reason why review bug 567240 has stalled, too?
Comment 5 Ralf Corsepius 2010-06-24 10:45:46 EDT
(In reply to comment #4)
> Is that the reason why review bug 567240 has stalled, too?    
Well bug 567240 stalled, because the submitter preferred not to returned to his package's review - It probably would have been better to close the whole package submission chain, but I seemingly missed to do so.
Comment 6 Jason Tibbitts 2010-11-16 14:59:31 EST
The ticket this depends on was closed due to lack of response; this should be closed as well.

Note You need to log in before you can comment on or make changes to this bug.